Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005840 [JEDI VCL] 00 JVCL Components block always 2012-03-22 11:47 2012-09-10 14:15
Reporter ZENsan View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0005840: When TJvDBDateTimePicker is set to Kind = dkTime it works incorrectly.
Description When TJvDBDateTimePicker is set to Kind = dkTime it works incorrectly.
First you get an exception when you try to set time to 0:00 and then second problem is that if you set NullText then you are not able to edit the value in editor at all.
Can be related also to 0004332.
Additional Information
Tags No tags attached.
Attached Files zip file icon JvDBDateTimePicker.zip [^] (1,360 bytes) 2012-03-22 11:47
? file icon JvDateTimePicker.diff [^] (570 bytes) 2012-03-29 10:26
? file icon JvDBDateTimePicker.diff [^] (1,560 bytes) 2012-03-29 10:26

- Relationships

-  Notes
(0019683)
ZENsan (reporter)
2012-03-29 10:28

In the original project there was one bug more!
If you set the field to value of 1 second. Then second control (with nulltext) still displayed null text instead of 1 second.

Attached patches fixes exception issue and second precion issue, but that one with NullText which cannot be changed afterwards are still unsolved in my patch.
(0019910)
obones (administrator)
2012-06-12 13:33

This is now in SVN

- Issue History
Date Modified Username Field Change
2012-03-22 11:47 ZENsan New Issue
2012-03-22 11:47 ZENsan File Added: JvDBDateTimePicker.zip
2012-03-26 15:25 obones Status new => acknowledged
2012-03-29 10:26 ZENsan File Added: JvDateTimePicker.diff
2012-03-29 10:26 ZENsan File Added: JvDBDateTimePicker.diff
2012-03-29 10:28 ZENsan Note Added: 0019683
2012-06-12 13:33 obones Note Added: 0019910
2012-06-12 13:33 obones Status acknowledged => resolved
2012-06-12 13:33 obones Fixed in Version => Daily / SVN
2012-06-12 13:33 obones Resolution open => fixed
2012-06-12 13:33 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker